Results 1 to 6 of 6

Thread: How to install Metasploit 3.3.3 in Backtrack

Hybrid View

  1. #1
    Just burned his ISO
    Join Date
    Jan 2010
    Posts
    2

    Default How to install Metasploit 3.3.3 in Backtrack

    Can someone please shed some light on how to install the new Metasploit 3.3.3 in Backtrack. Sorry if someone has asked this before but im not getting any results when searching the forum. I am totally new to linux so sorry again if my question seems stupid to some.

  2. #2
    Super Moderator lupin's Avatar
    Join Date
    Jan 2010
    Posts
    2,943

    Default Re: How to install Metasploit 3.3.3 in Backtrack

    The HowTo forum is NOT the right place to post questions. There is a sticky thread in the forum that explains this if you'd care to read it.
    Capitalisation is important. It's the difference between "Helping your brother Jack off a horse" and "Helping your brother jack off a horse".

    The Forum Rules, Forum FAQ and the BackTrack Wiki... learn them, love them, live them.

  3. #3
    Just burned his ISO
    Join Date
    Jan 2010
    Posts
    2

    Default Re: How to install Metasploit 3.3.3 in Backtrack

    Sorry I'm new to the forum could you help me with my problem?

  4. #4
    Member
    Join Date
    Jan 2010
    Location
    The new forums
    Posts
    462

    Default Re: How to install Metasploit 3.3.3 in Backtrack

    Quote Originally Posted by Subliminal View Post
    Sorry I'm new to the forum could you help me with my problem?
    Metasploit is already installed in BT.

    /pentest/exploits/framework3

  5. #5
    Just burned his ISO
    Join Date
    Oct 2010
    Posts
    2

    Default Re: How to install Metasploit 3.3.3 in Backtrack

    BackTrack includes the Metasploit Framework, but not always the latest version. To install the latest version of Metasploit in BackTrack:

    $ sudo bash
    # cd /pentest/svn
    # rm -rf framework3
    # svn co https://www.metasploit.com/svn/framework3/trunk framework3

    In order to use the raw socket modules, the pcaprub extension must be installed:

    # cd /pentest/svn/framework3/external/pcaprub
    # ruby extconf.rb
    # make && make install

    In order to use the WiFi modues, the lorcon2 extension must be installed:

    # cd /pentest/svn
    # svn co https://802.11ninja.net/svn/lorcon/trunk lorcon2
    # cd lorcon2
    # ./configure --prefix=/usr && make && make install
    # cd /pentest/svn/framework3/external/ruby-lorcon2
    # ruby extconf.rb
    # make && make install

    Once a fresh Subversion snapshot has been installed, it can be updated with the following command:

    # svn update /pentest/svn/framework3/

  6. #6
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: How to install Metasploit 3.3.3 in Backtrack

    Yeah but we are not going to really support those who do this.
    The new metasploit package (which should be in the repo or will be soon) has fixed the above issue.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

Similar Threads

  1. introduction to metasploit
    By EcKo in forum BackTrack Howtos
    Replies: 11
    Last Post: 01-22-2010, 06:12 PM
  2. BackTrack 4 Install onto a WIN 7 machinel
    By encrypt in forum Beginners Forum
    Replies: 1
    Last Post: 01-19-2010, 03:52 AM
  3. Backtrack 4 Final Install issues
    By prajganesh in forum Beginners Forum
    Replies: 1
    Last Post: 01-18-2010, 06:08 PM
  4. Replies: 0
    Last Post: 01-11-2010, 07:13 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •